@echo off
@rem --- Clean up : old Include files ---
del Include\ZenLib\*.* /Q
del Include\*.* /Q
mkdir Include
mkdir Include\ZenLib

@rem --- Clean up : old Doc files ---
del Doc\*.* /Q
mkdir Doc

@rem --- Clean up : old Zip files ---
del ZenLib_Source.zip

@rem --- Preparing Release : Include ---
copy ..\Source\ZenLib\*.h Include\ZenLib\

@rem --- Preparing Release : Documentation ---
cd ..\Source\Doc
..\..\..\Shared\Binary\Doxygen Doxygen
cd ..\..\Release

@rem --- Copying : Includes ---
..\..\Shared\Binary\7z a -tzip ZenLib_Source.zip Include\ZenLib\*.h

@rem --- Copying : Sources ---
cd..
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Source\Zenlib\*.h Source\Zenlib\*.cpp
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Source\Doc\Doxygen
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Source\Examples\*.cpp
cd Release

@rem --- Copying : Projects ---
cd..
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Project\BCB\*.bpg
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Project\BCB\_Temp\*.cvsignore
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Project\BCB\Library\*.bpf Project\BCB\Library\*.bpr
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Project\MSVC\*.sln
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Project\MSVC\Library\*.vcproj
cd Release

@rem --- Copying : Release ---
cd..
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Release\*.bat
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Release\*.html
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Release\BCB\Library\.cvsignore
..\Shared\Binary\7z a -tzip Release\ZenLib_Source.zip Release\MSVC\Library\.cvsignore
cd Release

@rem --- Copying : Documentation ---
..\..\Shared\Binary\7z a -tzip ZenLib_Source.zip Documentation.html Doc\*.*

rem --- Copying : Information files ---
cd ..
..\Shared\Binary\7z a -tzip .\Release\ZenLib_Source.zip *.txt
cd Release

@rem --- Clean up : Include files ---
del Include\ZenLib\*.* /Q
del Include\*.* /Q
rmdir Include\ZenLib
rmdir Include

@rem --- Clean up : Doc files ---
del Doc\*.* /Q
rmdir Doc

